Package org.springframework.http.client.reactive

# Interface ClientHttpRequest

All Superinterfaces:
  `HttpMessage`, `ReactiveHttpOutputMessage`

All Known Implementing Classes:
  `AbstractClientHttpRequest`, `ClientHttpRequestDecorator`

public interface ClientHttpRequest extends ReactiveHttpOutputMessage
Represents a client-side reactive HTTP request.

Since:
  5.0
Author:
  Arjen Poutsma, Brian Clozel

## Method Summary

Modifier and Type
Method
Description
`Map<String,Object>`
`getAttributes()`
Return a mutable map of the request attributes.
`org.springframework.util.MultiValueMap<String,HttpCookie>`
`getCookies()`
Return a mutable map of request cookies to send to the server.
`HttpMethod`
`getMethod()`
Return the HTTP method of the request.
`<T> T`
`getNativeRequest()`
Return the request from the underlying HTTP library.
`URI`
`getURI()`
Return the URI of the request.

### Methods inherited from interface org.springframework.http.HttpMessage

`getHeaders`

### Methods inherited from interface org.springframework.http.ReactiveHttpOutputMessage

`beforeCommit, bufferFactory, isCommitted, setComplete, writeAndFlushWith, writeWith`

## Method Details

### getMethod

HttpMethod getMethod()
Return the HTTP method of the request.

### getURI

URI getURI()
Return the URI of the request.

### getCookies

org.springframework.util.MultiValueMap<String,HttpCookie> getCookies()
Return a mutable map of request cookies to send to the server.

### getAttributes

Map<String,Object> getAttributes()
Return a mutable map of the request attributes.

Since:
  6.2

### getNativeRequest

<T> T getNativeRequest()
Return the request from the underlying HTTP library.

Type Parameters:
  `T` - the expected type of the request to cast to
Since:
  5.3